<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0;
  $idin = $sesion->id;
  $idv=$_POST['voucher']; 
  $qp = "select  idcd, centros.nombre from usuarios_ci, centros where idcd=centros_idcd and idusuarios_ci='$idin'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp = mysqli_fetch_object($cp);	
	$idcentro = $rp->idcd;
	$centro = $rp->nombre;
	
     $qa1 = "SELECT id_inver, rfc, nombre, appat, apmat, restante  FROM inversionista join voucher on inversionista.id_inver=voucher.id_inv WHERE voucher.idv = '".$idv."'";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error voucher : ' . mysqli_error($conexion));
   if(mysqli_affected_rows($conexion))
   {
    $ra1 = mysqli_fetch_object($ca1);
    
    $rfcv = $ra1->rfc;
    $nombrev = $ra1->nombre;
    $apatv = $ra1->appat;
    $amatv = $ra1->apmat;
    $restov = $ra1->restante;
       
     echo"<center>
       <label style='color:#5C3C12; font-size:28px; font-weight:bold'>Voucher $idv</label><br> <br>
<label style='color:#5C3C12; font-size:24px; font-weight:bold'>Bueno por $ $restov</label>  <br><br>
        Los Vouchers son intransferibles, es necesario que el asociado<br>
        $nombrev $apatv $amatv haga esta transacci&oacute;n<br>
        o se cuente con una carta poder, de lo contrario no se generar&aacute;n puntos<br><br> ";
        $siguiente=1;
       
       
       
       
       

   $qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus FROM inversionista WHERE rfc = '".$_POST['rfcpr']."'";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
       	
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;
    
    if($estatus == 1)
    {
		echo "<html>";
		echo "<head> </head>";
 		echo "<body>";
  		echo "<form name='f1' action='inv_mens3v.php' method='post'>";	
 		echo "<table border='0'  align='center' style='background: url(usuario_comun/logotransp2.gif)'>";
 		
 		echo "<tr height='20'><td align='center'><label style='color:#5C3C12; font-size:16px; font-weight:bold'>EL voucher ser&aacute; asignado a:</tr>";
		
		echo "<tr height='20'><td align='center' style='font-size:18px;'><label style='color:#5C3C12; font-size:18px;'>RFC:</label> $rfc </tr>";
		$nombrecompleto = $nombre." ".$apat." ".$amat;
	    echo "<tr height='20'><td align='center' style='font-size:18px;'><label style='color:#5C3C12; font-size:18px;'>Nombre:</label> $nombre $apat $amat<br>
		</table><br><center>";
		
		
           
   $qa1 = "SELECT idtransacciones from transacciones where inversionista_id_inver=$id";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
            if(!mysqli_affected_rows($conexion))
   {            echo" <font color=\"red\"><b>Esta es la primera compra de este usuario, es necesario hacer la venta<br>
   por alg&uacute;n Kit de Inscripci&oacute;n de lo contrario esta compra no ser&aacute; v&aacute;lida</b></font><br><br>  ";
   }
      
		echo "<input type='submit' value='Continuar'>";
		echo "<input type='hidden' name='idinv' value='$id'><input type='hidden' name='voucher' value='$idv'>  <input type='hidden' name='descontar' value='$restov'>  
		<input type='hidden' name='nombreinv' value='$nombrecompleto'><input type='hidden' name='idcent' value='$centro'><input type='hidden' name='idcentro1' value='$idcentro'>";
		echo "";
  		echo "</form>";
 		echo "</body>";
		echo "</html>";
    }
    else 
    {
     echo "<html>";
   	 echo "<head><meta http-equiv='Refresh' content='5;URL=javascript: history.go(-1)'></head>";
     echo "<center>";
   	 echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	 echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	 echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL CLIENTE QUE ESCRIBISTE NO HA SIDO ACEPTADO O HA SIDO BLOQUEADO, CONSULTA A UN ADMINISTRADOR.</label>";
     echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";  	
   	 echo "</form>";
   	 echo "</div>";
     echo "</center>";
     echo "</html>";	
    }

   }
   else
   {
   	echo "<html>";
   	echo "<head><meta http-equiv='Refresh' content='3;URL=javascript: history.go(-1)'></head>";
    echo "<center>";
   	echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL RFC QUE INGRESASTE NO FUE ENCONTRADO FAVOR DE VERIFICARLO.</label>";
    echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";
   	
   	echo "</form>";
   	echo "</div>";
    echo "</center>";
    echo "</html>";
   }                                                          
   }           else {echo"<br><center><font size=\"5\">Voucher no encontrado<br>Favor de intentar nuevamente</font></center>";} 
?>